ranges::v3::concepts::WeaklyEqualityComparable Struct Reference
Utility » Concepts

## Public Member Functions

template<typename T , typename U >
auto | requires_ (detail::as_cref_t< T > t, detail::as_cref_t< U > u) -> decltype(concepts::valid_expr(concepts::convertible_to< bool >(t==u), concepts::convertible_to< bool >(t !=u), concepts::convertible_to< bool >(u==t), concepts::convertible_to< bool >(u !=t)))